Subject: [PATCH v10 0/7] ARM: support for Trusted Foundations secure monitor

From: [email-masked] (Stephen Warren)
Date: Thu, 21 Nov 2013 11:48:54 -0700

(Russell, a question for you at the bottom)

On 11/13/2013 10:57 AM, Olof Johansson wrote:
> On Tue, Nov 12, 2013 at 6:14 PM, Alex Courbot <[email-masked]> wrote:
>> On 11/13/2013 05:38 AM, Olof Johansson wrote:
...
>>> I pinged Russell, and he brought up the fact that there were earlier
>>> requests to move it to drivers/firmware. It would make sense to try to
>>> get that done before merging, especially if you anticipate someone
>>> using TF on 64-bit platforms.
>>
>> IIRC when we discussed this point your last comment was as follows:
> 
> Touche. :) Thanks for the reminder.
> 
>> On Tue, Oct 29, 2013 at 6:55 AM, Olof Johansson <[email-masked]> wrote:
>>> I think we can probably merge this under arch/arm now, and when we
>>> figure out what needs to be common with ARM64 we can move it out to a
>>> good location. It might be that mostly just a header file with ABI
>>> conventions needs to be shared, not actual implementation, for
>>> example.
>>
>> So I thought we agreed on that. If in the end we prefer to move the ARM
>> firmware interface into drivers/firmware, I'm fine with that too (Tomasz
>> also confirmed he would be ok with it) but I wonder if that would not be
>> somehow premature.
...
> Well, as I already said I'm ok with things going into arch/arm to
> start with, as long as Russell is.
...

Russell, the patch Alex sent to move firmware_ops into drivers/firmware
was rejected, so I don't think we can update this series to move the
code there instead.

So, are you OK with merging this series as-is, in arch/arm/firmware? If
you could ack the patch/series to indicate that, it would be awesome.
Thanks.